--- title: "get-box-history" slug: "get-box-history" updated: 2026-09-17T09:48:02Z published: 2026-09-17T09:48:02Z canonical: "api.ncloud-docs.com/get-box-history" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # get-box-history Available in VPC Get box history. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | GET | /api/v1/box/get-box-history | ### Request headers For information about the headers common to all Datafence APIs, see [Datafence request headers](/docs/en/datafence-overview#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request query parameters You can use the following query parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `fenceId` | Integer | Required | Datafence number | | `page` | Integer | Optional | Page number - 0-100 | | `size` | Integer | Optional | Number of items per page - 1-100 | ### Request example The request example is as follows: ``` curl --location --request GET 'https://datafence.apigw.ntruss.com/api/v1/box/get-box-history?fenceId=1&page=1&size=10' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `totalCount` | Integer | - | Number of response results | | `content` | Array | - | Box history list: [content](/docs/en/get-box-history#content) | #### `content` The following describes `content`. | Field | Type | Required | Description | | --- | --- | --- | --- | | `boxId` | Integer | - | Box number | | `boxName` | String | - | Box name | | `description` | String | - | Box description | | `statusCode` | String | - | Box status code - `INITIALIZE` \| `USE` \| `ING` \| `RETURN` \| `TERMINATE` - `INITIALIZE`: creating infrastructure - `USE`: in use - `ING`: changing - `RETURN`: terminating - `TERMINATE`: termination completed | | `statusName` | String | - | Box status name - `Creating infrastructure` \| `In use` \| `Changing` \| `Terminating` \| `Termination completed` | | `createDate` | String | - | Box creation date and time - ISO 8601 format (including UTC+9) | | `endDate` | String | - | Box termination date and time - ISO 8601 format (including UTC+9) | ### Response status codes For information about the HTTP status codes common to all Datafence APIs, see [Datafence API response status codes](/docs/en/datafence-overview#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` { "totalCount": 7, "content": [ { "boxId": "-", "boxName": "box7", "description": "-", "statusCode": "TERMINATE", "statusName": "Termination completed", "createDate": "2025-03-18T17:42:43+09:00", "endDate": "2025-03-19T18:42:43+09:00" }, { "boxId": "-", "boxName": "box6", "description": "-", "statusCode": "TERMINATE", "statusName": "Termination completed", "createDate": "2025-03-05T17:33:25+09:00", "endDate": "2025-03-10T18:42:43+09:00" }, { "boxId": "-", "boxName": "box5", "description": "-", "statusCode": "TERMINATE", "statusName": "Termination completed", "createDate": "2025-03-05T15:29:22+09:00", "endDate": "2025-03-09T18:42:43+09:00" }, { "boxId": "-", "boxName": "box4", "description": "-", "statusCode": "TERMINATE", "statusName": "Termination completed", "createDate": "2025-02-26T10:35:03+09:00", "endDate": "2025-03-01T18:42:43+09:00" }, { "boxId": "-", "boxName": "box3", "description": "-", "statusCode": "TERMINATE", "statusName": "Termination completed", "createDate": "2025-02-18T11:56:40+09:00", "endDate": "2025-02-20T18:42:43+09:00" }, { "boxId": "-", "boxName": "box2", "description": "-", "statusCode": "TERMINATE", "statusName": "Termination completed", "createDate": "2025-01-09T15:16:35+09:00", "endDate": "2025-01-12T18:42:43+09:00" }, { "boxId": "-", "boxName": "box1", "description": "-", "statusCode": "USE", "statusName": "In use", "createDate": "2025-01-09T13:51:10+09:00" } ] } ```